Skip to Content
Enderdash

Publish Widget

POST
/knowledge/publishWidget

Authorization

cookie__Secure-enderdash.session_token<token>

Signed-in Enderdash browser session cookie.

Request Body

application/json
  1. body
organizationId?string
Length1 <= length
organizationSlug?string
Length1 <= length
widgetId*string
Match^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
Formatuuid
revision*integer
Range-9007199254740991 <= value <= 9007199254740991

Response Body

OK

Example Request
curl -X POST 'https://app.enderdash.com/api/http/knowledge/publishWidget' \
  -H 'Content-Type: application/json' \
  -d '{
  "widgetId": "123634df-ddfe-4dda-b31d-f3b4e75fc5dc",
  "revision": -9007199254740991
}'
Example Response
Empty